Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network41.78.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
41.78.0.0
Broadcast address
41.78.255.255
First usable
41.78.0.1
Last usable
41.78.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 294E0000 · Integer 692977664 to 693043199
Reverse DNS zone
78.41.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101001.01001110..00000000.0000000041.78.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network00101001.01001110..00000000.0000000041.78.0.0
Broadcast00101001.01001110..11111111.1111111141.78.255.255
Split into smaller subnets/26

41.78.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
141.78.0.0/2641.78.0.1 to 41.78.0.6241.78.0.6362
241.78.0.64/2641.78.0.65 to 41.78.0.12641.78.0.12762
341.78.0.128/2641.78.0.129 to 41.78.0.19041.78.0.19162
441.78.0.192/2641.78.0.193 to 41.78.0.25441.78.0.25562
541.78.1.0/2641.78.1.1 to 41.78.1.6241.78.1.6362
641.78.1.64/2641.78.1.65 to 41.78.1.12641.78.1.12762
741.78.1.128/2641.78.1.129 to 41.78.1.19041.78.1.19162
841.78.1.192/2641.78.1.193 to 41.78.1.25441.78.1.25562
941.78.2.0/2641.78.2.1 to 41.78.2.6241.78.2.6362
1041.78.2.64/2641.78.2.65 to 41.78.2.12641.78.2.12762
1141.78.2.128/2641.78.2.129 to 41.78.2.19041.78.2.19162
1241.78.2.192/2641.78.2.193 to 41.78.2.25441.78.2.25562
1341.78.3.0/2641.78.3.1 to 41.78.3.6241.78.3.6362
1441.78.3.64/2641.78.3.65 to 41.78.3.12641.78.3.12762
1541.78.3.128/2641.78.3.129 to 41.78.3.19041.78.3.19162
1641.78.3.192/2641.78.3.193 to 41.78.3.25441.78.3.25562
1741.78.4.0/2641.78.4.1 to 41.78.4.6241.78.4.6362
1841.78.4.64/2641.78.4.65 to 41.78.4.12641.78.4.12762
1941.78.4.128/2641.78.4.129 to 41.78.4.19041.78.4.19162
2041.78.4.192/2641.78.4.193 to 41.78.4.25441.78.4.25562
2141.78.5.0/2641.78.5.1 to 41.78.5.6241.78.5.6362
2241.78.5.64/2641.78.5.65 to 41.78.5.12641.78.5.12762
2341.78.5.128/2641.78.5.129 to 41.78.5.19041.78.5.19162
2441.78.5.192/2641.78.5.193 to 41.78.5.25441.78.5.25562
2541.78.6.0/2641.78.6.1 to 41.78.6.6241.78.6.6362
2641.78.6.64/2641.78.6.65 to 41.78.6.12641.78.6.12762
2741.78.6.128/2641.78.6.129 to 41.78.6.19041.78.6.19162
2841.78.6.192/2641.78.6.193 to 41.78.6.25441.78.6.25562
2941.78.7.0/2641.78.7.1 to 41.78.7.6241.78.7.6362
3041.78.7.64/2641.78.7.65 to 41.78.7.12641.78.7.12762
3141.78.7.128/2641.78.7.129 to 41.78.7.19041.78.7.19162
3241.78.7.192/2641.78.7.193 to 41.78.7.25441.78.7.25562
3341.78.8.0/2641.78.8.1 to 41.78.8.6241.78.8.6362
3441.78.8.64/2641.78.8.65 to 41.78.8.12641.78.8.12762
3541.78.8.128/2641.78.8.129 to 41.78.8.19041.78.8.19162
3641.78.8.192/2641.78.8.193 to 41.78.8.25441.78.8.25562
3741.78.9.0/2641.78.9.1 to 41.78.9.6241.78.9.6362
3841.78.9.64/2641.78.9.65 to 41.78.9.12641.78.9.12762
3941.78.9.128/2641.78.9.129 to 41.78.9.19041.78.9.19162
4041.78.9.192/2641.78.9.193 to 41.78.9.25441.78.9.25562
4141.78.10.0/2641.78.10.1 to 41.78.10.6241.78.10.6362
4241.78.10.64/2641.78.10.65 to 41.78.10.12641.78.10.12762
4341.78.10.128/2641.78.10.129 to 41.78.10.19041.78.10.19162
4441.78.10.192/2641.78.10.193 to 41.78.10.25441.78.10.25562
4541.78.11.0/2641.78.11.1 to 41.78.11.6241.78.11.6362
4641.78.11.64/2641.78.11.65 to 41.78.11.12641.78.11.12762
4741.78.11.128/2641.78.11.129 to 41.78.11.19041.78.11.19162
4841.78.11.192/2641.78.11.193 to 41.78.11.25441.78.11.25562
4941.78.12.0/2641.78.12.1 to 41.78.12.6241.78.12.6362
5041.78.12.64/2641.78.12.65 to 41.78.12.12641.78.12.12762
5141.78.12.128/2641.78.12.129 to 41.78.12.19041.78.12.19162
5241.78.12.192/2641.78.12.193 to 41.78.12.25441.78.12.25562
5341.78.13.0/2641.78.13.1 to 41.78.13.6241.78.13.6362
5441.78.13.64/2641.78.13.65 to 41.78.13.12641.78.13.12762
5541.78.13.128/2641.78.13.129 to 41.78.13.19041.78.13.19162
5641.78.13.192/2641.78.13.193 to 41.78.13.25441.78.13.25562
5741.78.14.0/2641.78.14.1 to 41.78.14.6241.78.14.6362
5841.78.14.64/2641.78.14.65 to 41.78.14.12641.78.14.12762
5941.78.14.128/2641.78.14.129 to 41.78.14.19041.78.14.19162
6041.78.14.192/2641.78.14.193 to 41.78.14.25441.78.14.25562
6141.78.15.0/2641.78.15.1 to 41.78.15.6241.78.15.6362
6241.78.15.64/2641.78.15.65 to 41.78.15.12641.78.15.12762
6341.78.15.128/2641.78.15.129 to 41.78.15.19041.78.15.19162
6441.78.15.192/2641.78.15.193 to 41.78.15.25441.78.15.25562
6541.78.16.0/2641.78.16.1 to 41.78.16.6241.78.16.6362
6641.78.16.64/2641.78.16.65 to 41.78.16.12641.78.16.12762
6741.78.16.128/2641.78.16.129 to 41.78.16.19041.78.16.19162
6841.78.16.192/2641.78.16.193 to 41.78.16.25441.78.16.25562
6941.78.17.0/2641.78.17.1 to 41.78.17.6241.78.17.6362
7041.78.17.64/2641.78.17.65 to 41.78.17.12641.78.17.12762
7141.78.17.128/2641.78.17.129 to 41.78.17.19041.78.17.19162
7241.78.17.192/2641.78.17.193 to 41.78.17.25441.78.17.25562
7341.78.18.0/2641.78.18.1 to 41.78.18.6241.78.18.6362
7441.78.18.64/2641.78.18.65 to 41.78.18.12641.78.18.12762
7541.78.18.128/2641.78.18.129 to 41.78.18.19041.78.18.19162
7641.78.18.192/2641.78.18.193 to 41.78.18.25441.78.18.25562
7741.78.19.0/2641.78.19.1 to 41.78.19.6241.78.19.6362
7841.78.19.64/2641.78.19.65 to 41.78.19.12641.78.19.12762
7941.78.19.128/2641.78.19.129 to 41.78.19.19041.78.19.19162
8041.78.19.192/2641.78.19.193 to 41.78.19.25441.78.19.25562
8141.78.20.0/2641.78.20.1 to 41.78.20.6241.78.20.6362
8241.78.20.64/2641.78.20.65 to 41.78.20.12641.78.20.12762
8341.78.20.128/2641.78.20.129 to 41.78.20.19041.78.20.19162
8441.78.20.192/2641.78.20.193 to 41.78.20.25441.78.20.25562
8541.78.21.0/2641.78.21.1 to 41.78.21.6241.78.21.6362
8641.78.21.64/2641.78.21.65 to 41.78.21.12641.78.21.12762
8741.78.21.128/2641.78.21.129 to 41.78.21.19041.78.21.19162
8841.78.21.192/2641.78.21.193 to 41.78.21.25441.78.21.25562
8941.78.22.0/2641.78.22.1 to 41.78.22.6241.78.22.6362
9041.78.22.64/2641.78.22.65 to 41.78.22.12641.78.22.12762
9141.78.22.128/2641.78.22.129 to 41.78.22.19041.78.22.19162
9241.78.22.192/2641.78.22.193 to 41.78.22.25441.78.22.25562
9341.78.23.0/2641.78.23.1 to 41.78.23.6241.78.23.6362
9441.78.23.64/2641.78.23.65 to 41.78.23.12641.78.23.12762
9541.78.23.128/2641.78.23.129 to 41.78.23.19041.78.23.19162
9641.78.23.192/2641.78.23.193 to 41.78.23.25441.78.23.25562
9741.78.24.0/2641.78.24.1 to 41.78.24.6241.78.24.6362
9841.78.24.64/2641.78.24.65 to 41.78.24.12641.78.24.12762
9941.78.24.128/2641.78.24.129 to 41.78.24.19041.78.24.19162
10041.78.24.192/2641.78.24.193 to 41.78.24.25441.78.24.25562
10141.78.25.0/2641.78.25.1 to 41.78.25.6241.78.25.6362
10241.78.25.64/2641.78.25.65 to 41.78.25.12641.78.25.12762
10341.78.25.128/2641.78.25.129 to 41.78.25.19041.78.25.19162
10441.78.25.192/2641.78.25.193 to 41.78.25.25441.78.25.25562
10541.78.26.0/2641.78.26.1 to 41.78.26.6241.78.26.6362
10641.78.26.64/2641.78.26.65 to 41.78.26.12641.78.26.12762
10741.78.26.128/2641.78.26.129 to 41.78.26.19041.78.26.19162
10841.78.26.192/2641.78.26.193 to 41.78.26.25441.78.26.25562
10941.78.27.0/2641.78.27.1 to 41.78.27.6241.78.27.6362
11041.78.27.64/2641.78.27.65 to 41.78.27.12641.78.27.12762
11141.78.27.128/2641.78.27.129 to 41.78.27.19041.78.27.19162
11241.78.27.192/2641.78.27.193 to 41.78.27.25441.78.27.25562
11341.78.28.0/2641.78.28.1 to 41.78.28.6241.78.28.6362
11441.78.28.64/2641.78.28.65 to 41.78.28.12641.78.28.12762
11541.78.28.128/2641.78.28.129 to 41.78.28.19041.78.28.19162
11641.78.28.192/2641.78.28.193 to 41.78.28.25441.78.28.25562
11741.78.29.0/2641.78.29.1 to 41.78.29.6241.78.29.6362
11841.78.29.64/2641.78.29.65 to 41.78.29.12641.78.29.12762
11941.78.29.128/2641.78.29.129 to 41.78.29.19041.78.29.19162
12041.78.29.192/2641.78.29.193 to 41.78.29.25441.78.29.25562
12141.78.30.0/2641.78.30.1 to 41.78.30.6241.78.30.6362
12241.78.30.64/2641.78.30.65 to 41.78.30.12641.78.30.12762
12341.78.30.128/2641.78.30.129 to 41.78.30.19041.78.30.19162
12441.78.30.192/2641.78.30.193 to 41.78.30.25441.78.30.25562
12541.78.31.0/2641.78.31.1 to 41.78.31.6241.78.31.6362
12641.78.31.64/2641.78.31.65 to 41.78.31.12641.78.31.12762
12741.78.31.128/2641.78.31.129 to 41.78.31.19041.78.31.19162
12841.78.31.192/2641.78.31.193 to 41.78.31.25441.78.31.25562
12941.78.32.0/2641.78.32.1 to 41.78.32.6241.78.32.6362
13041.78.32.64/2641.78.32.65 to 41.78.32.12641.78.32.12762
13141.78.32.128/2641.78.32.129 to 41.78.32.19041.78.32.19162
13241.78.32.192/2641.78.32.193 to 41.78.32.25441.78.32.25562
13341.78.33.0/2641.78.33.1 to 41.78.33.6241.78.33.6362
13441.78.33.64/2641.78.33.65 to 41.78.33.12641.78.33.12762
13541.78.33.128/2641.78.33.129 to 41.78.33.19041.78.33.19162
13641.78.33.192/2641.78.33.193 to 41.78.33.25441.78.33.25562
13741.78.34.0/2641.78.34.1 to 41.78.34.6241.78.34.6362
13841.78.34.64/2641.78.34.65 to 41.78.34.12641.78.34.12762
13941.78.34.128/2641.78.34.129 to 41.78.34.19041.78.34.19162
14041.78.34.192/2641.78.34.193 to 41.78.34.25441.78.34.25562
14141.78.35.0/2641.78.35.1 to 41.78.35.6241.78.35.6362
14241.78.35.64/2641.78.35.65 to 41.78.35.12641.78.35.12762
14341.78.35.128/2641.78.35.129 to 41.78.35.19041.78.35.19162
14441.78.35.192/2641.78.35.193 to 41.78.35.25441.78.35.25562
14541.78.36.0/2641.78.36.1 to 41.78.36.6241.78.36.6362
14641.78.36.64/2641.78.36.65 to 41.78.36.12641.78.36.12762
14741.78.36.128/2641.78.36.129 to 41.78.36.19041.78.36.19162
14841.78.36.192/2641.78.36.193 to 41.78.36.25441.78.36.25562
14941.78.37.0/2641.78.37.1 to 41.78.37.6241.78.37.6362
15041.78.37.64/2641.78.37.65 to 41.78.37.12641.78.37.12762
15141.78.37.128/2641.78.37.129 to 41.78.37.19041.78.37.19162
15241.78.37.192/2641.78.37.193 to 41.78.37.25441.78.37.25562
15341.78.38.0/2641.78.38.1 to 41.78.38.6241.78.38.6362
15441.78.38.64/2641.78.38.65 to 41.78.38.12641.78.38.12762
15541.78.38.128/2641.78.38.129 to 41.78.38.19041.78.38.19162
15641.78.38.192/2641.78.38.193 to 41.78.38.25441.78.38.25562
15741.78.39.0/2641.78.39.1 to 41.78.39.6241.78.39.6362
15841.78.39.64/2641.78.39.65 to 41.78.39.12641.78.39.12762
15941.78.39.128/2641.78.39.129 to 41.78.39.19041.78.39.19162
16041.78.39.192/2641.78.39.193 to 41.78.39.25441.78.39.25562
16141.78.40.0/2641.78.40.1 to 41.78.40.6241.78.40.6362
16241.78.40.64/2641.78.40.65 to 41.78.40.12641.78.40.12762
16341.78.40.128/2641.78.40.129 to 41.78.40.19041.78.40.19162
16441.78.40.192/2641.78.40.193 to 41.78.40.25441.78.40.25562
16541.78.41.0/2641.78.41.1 to 41.78.41.6241.78.41.6362
16641.78.41.64/2641.78.41.65 to 41.78.41.12641.78.41.12762
16741.78.41.128/2641.78.41.129 to 41.78.41.19041.78.41.19162
16841.78.41.192/2641.78.41.193 to 41.78.41.25441.78.41.25562
16941.78.42.0/2641.78.42.1 to 41.78.42.6241.78.42.6362
17041.78.42.64/2641.78.42.65 to 41.78.42.12641.78.42.12762
17141.78.42.128/2641.78.42.129 to 41.78.42.19041.78.42.19162
17241.78.42.192/2641.78.42.193 to 41.78.42.25441.78.42.25562
17341.78.43.0/2641.78.43.1 to 41.78.43.6241.78.43.6362
17441.78.43.64/2641.78.43.65 to 41.78.43.12641.78.43.12762
17541.78.43.128/2641.78.43.129 to 41.78.43.19041.78.43.19162
17641.78.43.192/2641.78.43.193 to 41.78.43.25441.78.43.25562
17741.78.44.0/2641.78.44.1 to 41.78.44.6241.78.44.6362
17841.78.44.64/2641.78.44.65 to 41.78.44.12641.78.44.12762
17941.78.44.128/2641.78.44.129 to 41.78.44.19041.78.44.19162
18041.78.44.192/2641.78.44.193 to 41.78.44.25441.78.44.25562
18141.78.45.0/2641.78.45.1 to 41.78.45.6241.78.45.6362
18241.78.45.64/2641.78.45.65 to 41.78.45.12641.78.45.12762
18341.78.45.128/2641.78.45.129 to 41.78.45.19041.78.45.19162
18441.78.45.192/2641.78.45.193 to 41.78.45.25441.78.45.25562
18541.78.46.0/2641.78.46.1 to 41.78.46.6241.78.46.6362
18641.78.46.64/2641.78.46.65 to 41.78.46.12641.78.46.12762
18741.78.46.128/2641.78.46.129 to 41.78.46.19041.78.46.19162
18841.78.46.192/2641.78.46.193 to 41.78.46.25441.78.46.25562
18941.78.47.0/2641.78.47.1 to 41.78.47.6241.78.47.6362
19041.78.47.64/2641.78.47.65 to 41.78.47.12641.78.47.12762
19141.78.47.128/2641.78.47.129 to 41.78.47.19041.78.47.19162
19241.78.47.192/2641.78.47.193 to 41.78.47.25441.78.47.25562
19341.78.48.0/2641.78.48.1 to 41.78.48.6241.78.48.6362
19441.78.48.64/2641.78.48.65 to 41.78.48.12641.78.48.12762
19541.78.48.128/2641.78.48.129 to 41.78.48.19041.78.48.19162
19641.78.48.192/2641.78.48.193 to 41.78.48.25441.78.48.25562
19741.78.49.0/2641.78.49.1 to 41.78.49.6241.78.49.6362
19841.78.49.64/2641.78.49.65 to 41.78.49.12641.78.49.12762
19941.78.49.128/2641.78.49.129 to 41.78.49.19041.78.49.19162
20041.78.49.192/2641.78.49.193 to 41.78.49.25441.78.49.25562
20141.78.50.0/2641.78.50.1 to 41.78.50.6241.78.50.6362
20241.78.50.64/2641.78.50.65 to 41.78.50.12641.78.50.12762
20341.78.50.128/2641.78.50.129 to 41.78.50.19041.78.50.19162
20441.78.50.192/2641.78.50.193 to 41.78.50.25441.78.50.25562
20541.78.51.0/2641.78.51.1 to 41.78.51.6241.78.51.6362
20641.78.51.64/2641.78.51.65 to 41.78.51.12641.78.51.12762
20741.78.51.128/2641.78.51.129 to 41.78.51.19041.78.51.19162
20841.78.51.192/2641.78.51.193 to 41.78.51.25441.78.51.25562
20941.78.52.0/2641.78.52.1 to 41.78.52.6241.78.52.6362
21041.78.52.64/2641.78.52.65 to 41.78.52.12641.78.52.12762
21141.78.52.128/2641.78.52.129 to 41.78.52.19041.78.52.19162
21241.78.52.192/2641.78.52.193 to 41.78.52.25441.78.52.25562
21341.78.53.0/2641.78.53.1 to 41.78.53.6241.78.53.6362
21441.78.53.64/2641.78.53.65 to 41.78.53.12641.78.53.12762
21541.78.53.128/2641.78.53.129 to 41.78.53.19041.78.53.19162
21641.78.53.192/2641.78.53.193 to 41.78.53.25441.78.53.25562
21741.78.54.0/2641.78.54.1 to 41.78.54.6241.78.54.6362
21841.78.54.64/2641.78.54.65 to 41.78.54.12641.78.54.12762
21941.78.54.128/2641.78.54.129 to 41.78.54.19041.78.54.19162
22041.78.54.192/2641.78.54.193 to 41.78.54.25441.78.54.25562
22141.78.55.0/2641.78.55.1 to 41.78.55.6241.78.55.6362
22241.78.55.64/2641.78.55.65 to 41.78.55.12641.78.55.12762
22341.78.55.128/2641.78.55.129 to 41.78.55.19041.78.55.19162
22441.78.55.192/2641.78.55.193 to 41.78.55.25441.78.55.25562
22541.78.56.0/2641.78.56.1 to 41.78.56.6241.78.56.6362
22641.78.56.64/2641.78.56.65 to 41.78.56.12641.78.56.12762
22741.78.56.128/2641.78.56.129 to 41.78.56.19041.78.56.19162
22841.78.56.192/2641.78.56.193 to 41.78.56.25441.78.56.25562
22941.78.57.0/2641.78.57.1 to 41.78.57.6241.78.57.6362
23041.78.57.64/2641.78.57.65 to 41.78.57.12641.78.57.12762
23141.78.57.128/2641.78.57.129 to 41.78.57.19041.78.57.19162
23241.78.57.192/2641.78.57.193 to 41.78.57.25441.78.57.25562
23341.78.58.0/2641.78.58.1 to 41.78.58.6241.78.58.6362
23441.78.58.64/2641.78.58.65 to 41.78.58.12641.78.58.12762
23541.78.58.128/2641.78.58.129 to 41.78.58.19041.78.58.19162
23641.78.58.192/2641.78.58.193 to 41.78.58.25441.78.58.25562
23741.78.59.0/2641.78.59.1 to 41.78.59.6241.78.59.6362
23841.78.59.64/2641.78.59.65 to 41.78.59.12641.78.59.12762
23941.78.59.128/2641.78.59.129 to 41.78.59.19041.78.59.19162
24041.78.59.192/2641.78.59.193 to 41.78.59.25441.78.59.25562
24141.78.60.0/2641.78.60.1 to 41.78.60.6241.78.60.6362
24241.78.60.64/2641.78.60.65 to 41.78.60.12641.78.60.12762
24341.78.60.128/2641.78.60.129 to 41.78.60.19041.78.60.19162
24441.78.60.192/2641.78.60.193 to 41.78.60.25441.78.60.25562
24541.78.61.0/2641.78.61.1 to 41.78.61.6241.78.61.6362
24641.78.61.64/2641.78.61.65 to 41.78.61.12641.78.61.12762
24741.78.61.128/2641.78.61.129 to 41.78.61.19041.78.61.19162
24841.78.61.192/2641.78.61.193 to 41.78.61.25441.78.61.25562
24941.78.62.0/2641.78.62.1 to 41.78.62.6241.78.62.6362
25041.78.62.64/2641.78.62.65 to 41.78.62.12641.78.62.12762
25141.78.62.128/2641.78.62.129 to 41.78.62.19041.78.62.19162
25241.78.62.192/2641.78.62.193 to 41.78.62.25441.78.62.25562
25341.78.63.0/2641.78.63.1 to 41.78.63.6241.78.63.6362
25441.78.63.64/2641.78.63.65 to 41.78.63.12641.78.63.12762
25541.78.63.128/2641.78.63.129 to 41.78.63.19041.78.63.19162
25641.78.63.192/2641.78.63.193 to 41.78.63.25441.78.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses